Runtime

## org.eclipse.gmf.runtime.common.ui.action.global
Class GlobalAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler
                      org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction

All Implemented Interfaces:
  IAction, IActionWithProgress, IDisposableAction, IOperationHistoryListener, IPropertyListener, ISelectionChangedListener

Direct Known Subclasses:
  GlobalBookmarkAction, GlobalCloseProjectAction, GlobalOpenProjectAction, GlobalPrintAction, GlobalRedoAction, GlobalUndoAction

public abstract class GlobalAction
extends AbstractActionHandler

The abstract parent of all concrete global actions. A concrete global action needs to override the `getActionId()` method. The concrete global action could override the `createContext()` and `createCompoundCommand()` methods.

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`IActionWithProgress.WorkIndicatorType`

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`GlobalAction(IWorkbenchPage workbenchPage)` Creates a GlobalAction.
`GlobalAction(IWorkbenchPart workbenchPart)` Creates a GlobalAction.

Method Summary
`protected CompositeCommand` `createCompositeCommand(java.util.List commands)` Returns a `CompositeCommand` whose undo context is derived from my workbench part.
`protected IGlobalActionContext` `createContext()` Returns a `IGlobalActionContext`
`protected void` `doRun(IProgressMonitor progressMonitor)` Performs the actual work when this action handler is run.
`abstract java.lang.String` `getActionId()` Returns the `GlobalActionId` handled by this action
`protected java.util.List` `getGlobalActionHandlerData()` Returns a list of `GlobalActionHandlerData`.
`protected java.util.List` `getObjectContextGlobalActionHandlerData()` Returns a list with a GlobalActionHandlerData object containing a context of Object.
`protected IUndoContext` `getUndoContext()` Gets the undo context from my workbench part.
`protected java.lang.String` `getWorkbenchActionConstant()` Returns the workbenchActionConstant.
`void` `init()` The basic implementation sets the workbenchpart if not already set and refreshes the action if the current part is not null.
`void` `refresh()` Refreshes various aspects of this action, such as its label and whether or not it is enabled.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler

`contributedToPart, dispose, getActionManager, getLabel, getOperationHistory, getPartListener, getSelection, getStructuredSelection, getWorkbenchPage, getWorkbenchPart, getWorkIndicatorType, handle, historyNotification, isDisposed, isOperationHistoryListener, isPropertyListener, isRunnable, isSelectionListener, isSetup, needsSetup, openErrorDialog, propertyChanged, run, run, runWithEvent, selectionChanged, setDisposed, setPartSelector, setSetup, setup, setWorkbenchPart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### GlobalAction

    public GlobalAction(IWorkbenchPart workbenchPart)

  Creates a GlobalAction.

Parameters:
  `workbenchPart` - The part associated with this action

### GlobalAction

    public GlobalAction(IWorkbenchPage workbenchPage)

  Creates a GlobalAction.

Parameters:
  `workbenchPage` - The part associated with this action

Method Detail

### doRun

    protected void doRun(IProgressMonitor progressMonitor)

  Description copied from class: `AbstractActionHandler`
  Performs the actual work when this action handler is run. Subclasses must override this method to do some work.

  Specified by:
    `doRun` in class `AbstractActionHandler`
  Parameters:
    `progressMonitor` - the progress monitor for tracking the progress of this action when it is run.

### refresh

    public void refresh()

  Description copied from interface: `IActionWithProgress`
  Refreshes various aspects of this action, such as its label and whether or not it is enabled.

### getActionId

    public abstract java.lang.String getActionId()

  Returns the `GlobalActionId` handled by this action

  Returns:
    int

### createCompositeCommand

    protected CompositeCommand createCompositeCommand(java.util.List commands)

  Returns a `CompositeCommand` whose undo context is derived from my workbench part.

  Parameters:
    `commands` - a list of commands to compose into a `CompositeCommand`
  Returns:
    the CompositeCommand

### getUndoContext

    protected IUndoContext getUndoContext()

  Gets the undo context from my workbench part. May be `null`.

  Overrides:
    `getUndoContext` in class `AbstractActionHandler`
  Returns:
    my undo context

### createContext

    protected IGlobalActionContext createContext()

  Returns a `IGlobalActionContext`

  Returns:
    IGlobalActionContext

### getGlobalActionHandlerData

    protected java.util.List getGlobalActionHandlerData()

  Returns a list of `GlobalActionHandlerData`. Handles different types of selections

  Returns:
    List

### getWorkbenchActionConstant

    protected java.lang.String getWorkbenchActionConstant()

  Returns the workbenchActionConstant.

  Returns:
    String

### getObjectContextGlobalActionHandlerData

    protected java.util.List getObjectContextGlobalActionHandlerData()

  Returns a list with a GlobalActionHandlerData object containing a context of Object. You can have getObjectContextGlobalActionHandlerData call this instead.

  Returns:
    List with a GlobalActionHandlerData object containing a context of Object

### init

    public void init()

  Description copied from class: `AbstractActionHandler`
  The basic implementation sets the workbenchpart if not already set and refreshes the action if the current part is not null.

  Any subclass that overrided this method should ensure that the disposed state of this action is maintained by calling `setDisposed(false)` or calling `super.init()`.

  Specified by:
    `init` in interface `IDisposableAction`
  Overrides:
    `init` in class `AbstractActionHandler`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.